// Циклы в JS, как и в любом другом языке программирования, нужны для повтореня однотипных операций, в том случае, если условия цикла выполнены, например: перебора итерируемых объектов или массивов, проведения опереций с ними и т.д. В JS циклы пердставлены конструкциями for, while, do...while. Конструкция do...while удобна тем, что в независимости от условий, которые указываются после тела цикла, минимум одна итерация будет выполнена.

let num;

do{
   num = +prompt('Enter the number');
   
// Проверяет являеться ли число целым
} while(!Number.isInteger(num) || isNaN(num) || num === null || num === '')

if(num < 5) {
   console.log(`Sorry, no numbers`);
} else {
   for(let i = 5; i <= num; i++) {
      if(i % 5 === 0) {
         console.log(i);
      } 
   }
}